+++
title = "So why do I need a backup?"
description = "Because RAID protects you against one and only one specific thing: disk failures."
weight = 2
type = "post"
+++

Having a number of disks in RAID may **seem** like a backup, especially if you're using a mirror mode. But this is **wrong**!

RAID protects you against one and only one thing: a disk failure. 

It does **not** protect you against any of the following things:

* Multiple disk failures beyond the RAID level chosen (e.g. both disks in a mirror, or 3 disks in a RAID-6).
* Failure of the RAID controller itself (especially when using hardware RAID), the computer running the RAID, or the environment (a flood, fire, theft, etc.).
* Data corruption on-disk from filesystem bugs, cosmic rays, or minor hardware or firmware failures.
* Malicious or accidental deletion or modification of files by yourself or another party, including viruses, bad application writes, or administrative mistakes (e.g. `rm`-ing the wrong file or `mkfs` on an existing filesystem).

Even ZFS, designed specifically to prevent the third point, is still susceptable to the others.

The adage is simple: "RAID replicates **everything**, instantly, even the stuff you don't want." Like the deletion of a file or corruption.

For these reasons and more, RAID IS NOT A BACKUP!
